import Component  from '../component.js'

export default class CoUxPieChartLegendItem extends Component {
  constructor(parent) {
    let selector = 'li[contains(@class,"chart-legend-item")]';
    super(parent, selector);
    // component link
    // https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/core/src/lib/commons/ux-components/ux-pie-chart/ux-pie-chart-legend-item.component.ts?at=support/7.x
  }

  get label() {
    return this.currentPath + '//span[contains(@class,"chart-legend-item-label")]';
  }

  get value() {
    return this.currentPath + '//span[contains(@class,"chart-legend-item-counter")]'
  }
}


